Article ID: 121038, created on Apr 11, 2014, last review on May 7, 2014

  • Applies to:
  • Plesk Automation 11.5

Symptoms

I upgraded migration tools:

./installer.sh --upgrade
CONGRATULATIONS! You have successfully upgraded the PPA moving tools.

But now I cannot start migration it is always beeing aborted:

[INFO] convert/convert| Check migrator updates
[INFO] convert/convert| A new version of migration tools already exists. Updating to the new version
[INFO] convert/convert| The migration tools were updated to the latest version. Please re-run the migration tool with the last command and arguments.
[ERROR] convert| ABORT (by exception): convert Plesk backup files to PPA format
[ERROR] | ABORT (by exception): convert Plesk backup files to PPA format

in the /etc/ppa-transfer/debug.log file I found the following information:

    [INFO] parallels.plesks_migrator.migrator |convert/convert| A new version of migration tools already exists. Updating to the new version
    [DEBUG] parallels.common |convert/convert| Call local command: ['yum', '-y', 'update', 'python2.7', 'python2.7-PyYAML', 'python2.7-devel', 'python2.7-dnspython', 'python2.7-paramiko', 'python2.7-pip', 'python2.7
    -psycopg2', 'python2.7-pyasn1', 'python2.7-pycrypto', 'python2.7-pysmb', 'python2.7-setuptools', 'python2.7-ssh', 'python2.7-tools', 'ppa-migrator-plesks-migrator', 'ppa-migrator-expand-migrator', 'ppa-migrator-pbas-migrator', 'ppa-migra
    tor-move-subscriptions', 'ppa-migrator-hsphere-migrator', 'perl-Email-Simple', 'perl-Mail-IMAPClient', 'perl-Mail-POP3Client', 'perl-Parse-RecDescent', 'pop2imap', 'winexe']
    [DEBUG] parallels.common |convert/convert| Command stdout: Loaded plugins: fastestmirror
    Loading mirror speeds from cached hostfile
     * base: ftp.heanet.ie
     * extras: ftp.heanet.ie
     * updates: ftp.heanet.ie
    Setting up Update Process
    Package(s) python2.7-devel available, but not installed.
    Package(s) python2.7-pip available, but not installed.
    Package(s) python2.7-setuptools available, but not installed.
    Package(s) python2.7-ssh available, but not installed.
    Package(s) python2.7-tools available, but not installed.
    No Packages marked for Update

Cause

Migration tools are not fully updated.

Resolution

  1. Upgrade migration tool supplied components:

    yum -y isntall python2.7 python2.7-PyYAML python2.7-devel python2.7-dnspython python2.7-paramiko python2.7-pip python2.7-psycopg2 python2.7-pyasn1 python2.7-pycrypto python2.7-pysmb python2.7-setuptools python2.7-ssh python2.7-tools ppa-migrator-plesks-migrator ppa-migrator-expand-migrator ppa-migrator-pbas-migrator ppa-migrator-move-subscriptions ppa-migrator-hsphere-migrator perl-Email-Simple perl-Mail-IMAPClient perl-Mail-POP3Client perl-Parse-RecDescent pop2imap winexe
    
  2. Update CBM migrator:

    # yum update ppa-migrator-cbm-api.noarch
    
  3. Now you can proceed with the migration.

33a70544d00d562bbc5b17762c4ed2b3 e0aff7830fa22f92062ee4db78133079 caea8340e2d186a540518d08602aa065

Email subscription for changes to this article
Save as PDF